Bug 449065 - DRI is disabled when virtual resolution width > 2048
DRI is disabled when virtual resolution width > 2048
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 02:57 EDT by thanosz
Modified: 2008-06-19 15:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 15:30:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (54.14 KB, text/plain)
2008-05-30 06:19 EDT, thanosz
no flags Details
X configuration (1.77 KB, text/plain)
2008-05-30 06:20 EDT, thanosz
no flags Details

  None (edit)
Description thanosz 2008-05-30 02:57:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
With dual monitor setup and xrandr, I can not use compiz. Xorg complains:

(EE) intel(0): Cannot support DRI with frame buffer width > 2048.

and thus compiz is disabled.

This has already been discussed in Ubuntu forums, https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/146859
and a solution is available.

I am wondering if there are any plans to fix this in Fedora.
Thanks

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. i965 graphics card with dual monitor setup (connected one in analogue, one in digital)
2.enable dri
3.start X

Actual Results:
compiz cannot load as no DRI support

Expected Results:
compiz should work 

Additional info:
Comment 1 Matěj Cepl 2008-05-30 05:42:34 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 thanosz 2008-05-30 06:19:05 EDT
Created attachment 307183 [details]
Xorg log file
Comment 3 thanosz 2008-05-30 06:20:18 EDT
Created attachment 307184 [details]
X configuration
Comment 4 thanosz 2008-06-11 16:14:32 EDT
Any news on this?
Comment 5 Dave Airlie 2008-06-11 16:53:19 EDT
nothing we can do, its a hardware limitation that won't get worked around in
this release or for quite a long while.
Comment 7 thanosz 2008-06-15 15:38:26 EDT
could you please investigate? This is propably a software error; thanks
Comment 8 Adam Jackson 2008-06-19 15:30:16 EDT
That patch is not a solution for the problem you are describing.  It enables
sourcing from textures that are larger than 2k wide, but it does not enable
rendering to an output that is wider than 2k.

The latter is possible to work around, with a _lot_ of work.  It's not going to
happen in F8, probably not even by F10.  Sorry.

Note You need to log in before you can comment on or make changes to this bug.